Microsoft.Build.Framework 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property, AllowMultiple=false, Inherited=false)

The vstecmsbuild engine will only allow task properties marked with this attribute to output data from a task. Project authors can only use properties marked with this attribute in the Output element of a project file. All other task properties are treated as inputs to a task.

For more information about using attributes, see Extending Metadata Using Attributes.

Defines the metadata attribute that task authors use to identify task properties that output data from the task.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0